package fr.openium.consentium.api.model

enum class PurposeIdentifier {
    REQUIRED,
    AUDIENCE,
    ADS,
    UNKNOWN;

    companion object {
        fun fromString(string: String): PurposeIdentifier = when (string) {
            "purpose-required" -> REQUIRED
            "purpose-audience" -> AUDIENCE
            "purpose-ads" -> ADS
            else -> UNKNOWN
        }
    }

    override fun toString(): String = when (this) {
        REQUIRED -> "purpose-required"
        AUDIENCE -> "purpose-audience"
        ADS -> "purpose-ads"
        else -> "purpose-unknown"
    }
}